list(APPEND console_HEADERS MainApplication.h)

list(APPEND console_LIB_INCLUDES MainApplication.cpp)

add_library(console SHARED ${console_LIB_INCLUDES} ${console_HEADERS})

target_include_directories(console PUBLIC
                          "${PROJECT_SOURCE_DIR}/src/core/"
                          "${PROJECT_SOURCE_DIR}/src/core/file_utilities"
                          "${PROJECT_SOURCE_DIR}/src/core/loggers"
                          "${PROJECT_SOURCE_DIR}/src/database"
                          "${PROJECT_SOURCE_DIR}/src/database/database_interfaces"
                          "${PROJECT_SOURCE_DIR}/src/network"
                          "${PROJECT_SOURCE_DIR}/src/network/sockets"
                          "${PROJECT_SOURCE_DIR}/src/audio"
                          "${PROJECT_SOURCE_DIR}/src/audio/midi"
                          "${PROJECT_SOURCE_DIR}/src/audio/audio_interfaces"
                          "${PROJECT_SOURCE_DIR}/src/graphics"
                          "${PROJECT_SOURCE_DIR}/src/web"
                          )
set_property(TARGET console PROPERTY FOLDER src)
target_link_libraries(console PUBLIC core audio network database web graphics)
set_target_properties( console PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 